
!WALibrary class methodsFor: '*DF' stamp: 'sas 8/13/2007 20:03'!
deployFiles
	"Write in disk the files that the receiver use to serve as methods
	in a path consistent with it's configuration."
	
	self default deployFiles ! !

!WALibrary methodsFor: '*DF' stamp: 'sas 8/13/2007 20:43'!
deployFiles
	"Write in disk the files that the receiver use to serve as methods
	in a path consistent with it's configuration."

	self fileSelectors do:[:aFileSelector| |filename basePath fileStream baseDir contents|
		basePath := 'files'.
		filename := self asFilename: aFileSelector.
		FileDirectory default assureExistenceOfPath: basePath.
		baseDir := FileDirectory default directoryNamed: basePath.
		[baseDir assureExistenceOfPath: self name asString.
		contents := self documentForFile: filename.
		contents isString
			ifTrue:[
				fileStream :=  CrLfFileStream newFileNamed: ((baseDir directoryNamed: self name asString) fullNameFor: filename).
				fileStream ascii]
			ifFalse:[
				fileStream := (baseDir directoryNamed: self name asString) newFileNamed: filename.
				fileStream binary].
		fileStream nextPutAll: contents.
		] ensure:[fileStream close]]! !

!WAApplication methodsFor: '*DF' stamp: 'sas 8/13/2007 19:40'!
deployFiles
	"Write in disk the files that the system use to serve from image
	in a path consistent with the receiver's configuration."

	self libraries do:[:aLibrary| aLibrary deployFiles]! !
